﻿// Copyright (c) 2020 Tudor Stanciu

using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Tuitio.Domain.Entities;

namespace Tuitio.Domain.Data.EntityTypeConfiguration
{
    class ContactTypeConfiguration : IEntityTypeConfiguration<ContactType>
    {
        public void Configure(EntityTypeBuilder<ContactType> builder)
        {
            builder.ToTable("ContactType").HasKey(z => z.ContactTypeId);
            builder.Property(z => z.ContactTypeId).ValueGeneratedOnAdd();
        }
    }
}
