if not exists (select top 1 1 from sys.objects where name = 'ContactOption' and type = 'U')
begin
	create table ContactOption
	(
		ContactOptionId int identity(1, 1) constraint PK_ContactOption primary key,
		UserId int constraint FK_ContactOption_AppUser foreign key references AppUser(UserId),
		ContactTypeId int constraint FK_ContactOption_ContactType foreign key references ContactType(ContactTypeId),
		ContactValue varchar(150) not null
	)
end