if not exists (select top 1 1 from sys.objects where name = 'UserRole' and type = 'U')
begin
	create table UserRole
	(
		UserRoleId int identity(1, 1) constraint PK_UserRole primary key,
		UserRoleCode varchar(30) not null,
		UserRoleName varchar(50) not null
	)
end

if not exists (select top 1 1 from UserRole)
begin
	insert into UserRole(UserRoleCode, UserRoleName)
	values ('SYSTEM_ADMINISTRATOR', 'System administrator'),
           ('FULLSTACK_DEVELOPER', 'Fullstack developer'),
           ('POWER_USER', 'Power user'),
		   ('REGULAR_USER', 'Regular user'),
           ('READONLY_USER', 'Readonly user'),
		   ('ANONYMOUS_USER', 'Anonymous user'),
		   ('DEMO_USER', 'Demo user')
end

