if not exists (select top 1 1 from sys.objects where name = 'ContactType' and type = 'U')
begin
	create table ContactType
	(
		ContactTypeId int identity(1, 1) constraint PK_ContactType primary key,
		ContactTypeCode varchar(30) not null,
		ContactTypeName varchar(50) not null
	)
end

if not exists (select top 1 1 from ContactType)
begin
	insert into ContactType(ContactTypeCode, ContactTypeName)
	values ('EMAIL', 'Email'),
           ('PHONE', 'Phone'),
           ('WEBSITE', 'Website'),
           ('LINKEDIN', 'LinkedIn'),
           ('GITHUB', 'GitHub'),
           ('GITEA', 'Gitea'),
           ('PORTFOLIO', 'Portfolio'),
		   ('CURRICULUM_VITAE', 'Curriculum vitae'),
           ('BLOG', 'Blog'),
           ('REDDIT', 'Reddit')
end